/**
 * @author        shunzi <tobyzsj@gmail.com>
 * @date          2024-03-26 00:18:36
 */
import type { MutationHandler, ResizeHandler } from './types.cjs';
import { ObserverType } from './types.cjs';
export declare class Observer<T extends ObserverType> {
    private readonly type;
    private handler;
    private _observer;
    constructor(type: T, handler: ResizeHandler | MutationHandler);
    static createResizeObserver(handler: ResizeHandler): Observer<ObserverType.Resize>;
    static createMutationObserver(handler: MutationHandler): Observer<ObserverType.Mutation>;
    get ob(): ResizeObserver | MutationObserver | null;
    observe(target: HTMLElement): void;
    unobserve(target: HTMLElement): void;
    disconnect(): void;
}
